#include<iostream>
using namespace std;
long long x,n,a[100000000],br,rez;

int main(){
	cin>>n>>x;
	for(int i=0;i<n;i++)cin>>a[i];
	for(int i=0;i<n;i++){
		if(x<a[i]){
		rez+=a[i]-x;
		x=a[i];
	}
		if(x>a[i]){
			rez+=x-a[i];
			x=a[i];
		}
	}
	cout<<""<<rez<<endl;
	return 0;
}